// -*- c++ -*-
/*
  Copyright 2003 John Knottenbelt
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
*/

#if !defined __CONFIGFILE_H
#define __CONFIGFILE_H

#include <map>
#include <string>

class ConfigFile {
public:
  ConfigFile();

  void clear();
  bool read(const std::string &file);
  void set(const std::string &key, const std::string &value);
  std::string get(const std::string &key);

private:
  
  typedef std::map<std::string, std::string> StringMap;
  StringMap data;
};

#endif // __CONFIGFILE_H
